---
title: "モデルバージョンが受け付けるサイズの取得"
description: "POST /v2/image/create の width/height にモデルバージョンが受け付けるサイズを一覧表示します。パスの名前に反して、パラメータはバージョン ID です。"
canonical: "https://platform.pixai.art/ja/docs/api-v2/model/getModelSizeConfig"
last-updated: "2026-11-02"
---

# モデルバージョンが受け付けるサイズの取得

`POST /v2/image/create` の `width`/`height` にモデルバージョンが受け付けるサイズを一覧表示します。パスの名前に反して、パラメータはバージョン ID です。



カスタムの `width`/`height` は、いずれかの範囲の `minWidth`〜`maxWidth` と `minHeight`〜`maxHeight` に収まり、その `step` の倍数である必要があります。プリセットは既定のサイズで、これらの範囲外にある場合もあります。`accessStatus` が `membership_required` の項目は、アカウントより上位のメンバーシップが必要です。

## GET https://api.pixai.art/v2/generation-model/{modelVersionId}/size-config

Authentication: optional. Send your API key as `Authorization: Bearer <API key>` to read as your account.

Machine-readable OpenAPI spec: https://platform.pixai.art/openapi-spec.v2.ja.yaml

### Parameters

- `modelVersionId` (in path, string, required)
  モデルバージョン ID です。

### Responses

- `200`
  サイズの範囲。
  Body fields:
  - `ranges` (object[], optional)
  - `ranges[].name` (string, optional)
  - `ranges[].minWidth` (integer, optional)
  - `ranges[].maxWidth` (integer, optional)
  - `ranges[].minHeight` (integer, optional)
  - `ranges[].maxHeight` (integer, optional)
  - `ranges[].step` (integer, optional)
    幅と高さはこの値の倍数である必要があります。
  - `ranges[].accessStatus` (string, optional)
    Allowed values: `available`, `membership_required`.
  - `ranges[].presets` (object[], optional)
  - `ranges[].presets[].id` (string, optional)
  - `ranges[].presets[].width` (integer, optional)
  - `ranges[].presets[].height` (integer, optional)
  - `ranges[].presets[].ratioLabel` (string, optional)
    例: `9:16`。
  - `ranges[].presets[].accessStatus` (string, optional)
    Allowed values: `available`, `membership_required`.
- `404`
  `NOT_FOUND`: モデルまたはバージョンが存在しないか、非公開です。この 2 つのケースは区別されません。
